运维开发网

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

运维开发网 https://www.qedev.com 2020-04-13 11:43 出处:网络 作者:运维开发网整理
Ubuntu软件源问题   昨天在测试python代码安装第三方模块时,遇到了pip无法安装的问题。下载安装包一半时显示下载失败,update软件源提示:E: 仓库 “http://cn.archive.ubuntu.com/ubuntu xenial Release” 没有

Ubuntu软件源问题

  昨天在测试python代码安装第三方模块时,遇到了pip无法安装的问题。下载安装包一半时显示下载失败,update软件源提示:

E: 仓库 “http://cn.archive.ubuntu.com/ubuntu xenial Release” 没有 Release 文件。

N: 无法安全地用该源进行更新,所以默认禁用该源。

N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的细节。

E: 仓库 “http://cn.archive.ubuntu.com/ubuntu xenial-updates Release” 没有 Release 文件。

N: 无法安全地用该源进行更新,所以默认禁用该源。

N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的细节。

E: 仓库 “http://cn.archive.ubuntu.com/ubuntu xenial-backports Release” 没有 Release 文件。

N: 无法安全地用该源进行更新,所以默认禁用该源。

N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的细节。

  在打开软件更新器update时,提示网络连接失败,无法检查更新。初步判断官方源有问题,解决办法:

更换国内速度较快的第三方源,如:

把/etc/apt/sources.list中的http://cn.archive.ubuntu.com/ubuntu,全部改为http://mirrors.aliyun.com/ubuntu。然后再执行sudo apt update恢复正常,sudo apt upgrade更新系统也正常了。再安装pip,很快就安装完成了。

$ sudo apt-get install python-pip
$ sudo pip install --upgrade pip
$ sudo pip install paramiko

VMware Workstation问题

  测试完成,update ubuntu系统到最新。把VMware Workstation12.5.7中的Win7虚拟机(Office办公等)关闭了,reboot ubuntu 16.04,再打开虚拟机时竟然打不开了,提示:

”before you can run vmware,several modules must be compliled and loaded into the running kernel“

点击Install,显示安装失败。查看日志,有以下提示:

018-01-18T15:39:29.485+08:00| vthread-4| I125: Failed to find /lib/modules/4.13.0-26-generic/build/include/Linux/version.h

2018-01-18T15:39:29.485+08:00| vthread-4| I125: /lib/modules/4.13.0-26-generic/build/include/Linux/version.h not found, looking for generated/uapi/Linux/version.h instead.

  打不开虚拟机我所有办公数据就没法访问了,下班前还要发邮件。尴尬!

  Baidu了一下原因,大致了解了是因为内核更新了,导致Workstation12.5.7 vmnet、vmmon等模块要重新编译。Baidu实在太垃圾,搜索不到有价值的信息,用Google搜索了一下几个解决方法,测试了都没成功。因时间有限,下班前必须要恢复虚拟机就没折腾了。

  删除Workstation12.5.7重装,无效。下载安装Workstation14.1.1,可以正常打开Workstation了,貌似看到一丝曙光,再启动Win7虚拟机提示CPU不支持,我了个去,查看硬件要求,2011年之前的CPU都不支持了,这台老古董还是2010年的。汗!!!

  再下载安装最近更新发布的Workstation12.5.9,依然报同样的错误。无语!

  在删除安装VMware Workstation中遇到以下的一些问题:

Ubuntu下安装VMware Workstation Pro 14.1.1 for Linux

下载:从vmware官方网站下载VMware-Workstation-Full-14.1.1-7528167.x86_64.bundle

安装:

1、$ cd /home/lory/Downloads/ #进入到下载保存目录
2、$ sudo chmod +x VMware-Workstation-Full-14.1.1-7528167.x86_64.bundle #授于安装文件可执行权限
3、$ sudo ./VMware-Workstation-Full-14.1.1-7528167.x86_64.bundle #执行安装

卸载:

1、执行:$ vmware-installer --list-products 或者 vmware-installer -l查看已安装的产品:

显示如下:

Product Name Product Version

==================== ====================

vmware-workstation 12.5.7.5813279

2、执行:$ sudo vmware-installer -u vmware-workstation,按照提示删除即可。

  在卸载安装时,显示以下错误提示:

(vmware-installer.py:14312): Gtk-WARNING : 无法在模块路径中找到主题引擎:“murrine”,

Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: 无法打开共享对象文件: 没有那个文件或目录

解决办法:

安装以下软件后再尝试安装Workstation

$ sudo apt-get install gtk2-engines
$ sudo apt-get install gtk2-engines-* $ sudo apt-get install libcanberra-gtk-module

如果还有错误,再安装

$ sudo apt-get install murrine-themes
$ sudo apt-get install gtk2-engines-murrine
$ sudo apt-get install libgtkmm-2.4-1v5
$ sudo apt-get install libgtkmm-2.4-dev
$ sudo apt-get install libcanberra-gtk-module:i386

最后再安装即可

$ sudo apt-get install gksudo
$ gksudo ./VMware-Workstation-Full-12.5.7-5813279.x86_64.bundle

注:VMware Workstation 12 Pro 永久许可证激活密钥

5A02H-AU243-TZJ49-GTC7K-3C61N

VF5XA-FNDDJ-085GZ-4NXZ9-N20E6

UC5MR-8NE16-H81WY-R7QGV-QG2D8

ZG1WH-ATY96-H80QP-X7PEX-Y30V4

AA3E0-0VDE1-0893Z-KGZ59-QGAVF

VirtualBox虚拟机

  临近下班了,VMware Workstation还没搞定,最后一条路,改用VirtualBox虚拟机:从官网下载VirtualBox 5.2 deb包,直接双击安装即可。

由于Workstation无法打开,也没办法直接导出VirtualBox支持的ovf虚拟机,但可以使用命令导出:

$ sudo ovftool Windows\ 7\ x64.vmx /home/lory/Virtualbox/Windows7_x64/"Windows 7 x64".ovf

我的虚拟机保存的文件太多(170G),使用命令导出ovf太慢,而且也很占主机的磁盘空间。放弃!Workstation虚拟机转Virtualbox还有一个快捷的办法,就是可以直接使用vmdk虚拟磁盘文件:

打开VirtualBox,点击新建虚拟机,直接选择”使用已有的虚拟硬盘文件“,浏览到Workstation虚拟机的vmdk文件即可。如下图:

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

创建完成,启动虚拟机,安装增强功能插件,修改一下虚拟机网卡模式及虚拟机IP地址,一切正常。速度很快!

注:默认创建的虚拟机CPU是单核的,需要关机后在设置中修改。

终于赶在下班前把虚拟机恢复了,抓紧时间整理报告,发邮件。

如果要在VirtualBox虚拟机中使用U盘,则还要安装VirtualBox Extension Pack扩展:

从官网下载VirtualBox 5.2.6 Oracle VM VirtualBox Extension Pack,然后进行安装。

1、点击”管理“-->“全局设定”-->“扩展”,在扩展的右边点击“+”号,选择刚下载的扩展包。

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

2、点击安装,同意许可,并输入管理员密码,进行安装,安装完成,确定。

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

3、添加用户权限,安装完扩展后需要修改登录用户权限才能识别到USB设备

$ sudo groupadd usbfs #增加usbfs用户组,vboxusers组默认会有
$ sudo usermod -aG usbfs,vboxusers lory #将登录用户lory添加到usbfs和vboxusers组

4、修改虚拟机硬件配置,关闭虚拟机,在“设置”-->“系统”中修改主板芯片组(根据个人电脑来选择),如下图:

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

在USB设备中,选择USB控制器。如USB2.0

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

5、启动虚拟机,系统自动安装硬件驱动

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

6、安装完成,关闭虚拟机,并重启Ubuntu系统。

7、启动虚拟机,在“设备”-->“USB”中即可以捕获到USB设备了,勾选上即可在虚拟机中使用了。

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

Ubuntu 16.04连接L2TP ***

  Ubuntu16.04之前可以使用sudo apt-get install l2tp-ipsec-***安装l2tp-ipsec-***。但是,ubuntu 16.04把这个package去掉了。不过依然可以使用PPA来安装network-manager-l2tp,除此之外还可以使用原码编译安装。

方法一:使用PPA安装network-manager-l2tp

$ sudo add-apt-repository ppa:nm-l2tp/network-manager-l2tp
$ sudo apt-get update
$ sudo apt-get install network-manager-l2tp

方法二:使用xl2tp和strongswan源代码编译安装

1、先安装先决条件:

$ sudo apt install intltool libtool network-manager-dev libnm-util-dev libnm-glib-dev libnm-glib-***-dev libnm-gtk-dev libnm-dev libnma-dev ppp-dev libdbus-glib-1-dev libsecret-1-dev libgtk-3-dev libglib2.0-dev xl2tpd strongswan

2、再下载编译network-manager-l2tp

$ sudo apt install git
$ sudo git clone https://github.com/nm-l2tp/network-manager-l2tp.git
$ cd network-manager-l2tp
$ sudo apt install autoconf intltool
$ sudo apt install libtool libsysfs-dev
$ sudo autoreconf -fi
$ sudo intltoolize

3、配置编译

$ sudo apt install ppp-dev libgtk-3-dev libnma-dev libsecret-1-dev libnm-gtk-dev libnm-glib-***-dev
$ sudo ./configure --disable-static --prefix=/usr --sysconfdir=/etc --libdir=/usr/lib/x86_64-Linux-gnu --libexecdir=/usr/lib/NetworkManager --localstatedir=/var --with-pppd-plugin-dir=/usr/lib/pppd/2.4.7

4、编译

$ sudo make
$ sudo make install

5、删除IPSec的AppArmor设置

$ sudo apparmor_parser -R /etc/apparmor.d/usr.lib.ipsec.charon
$ sudo apparmor_parser -R /etc/apparmor.d/usr.lib.ipsec.stroke

6、用libpcap替换x2ltpd

$ sudo apt remove xl2tpd
$ sudo apt install libpcap0.8-dev

$ cd ..
$ sudo wget https://github.com/xelerance/xl2tpd/archive/v1.3.6/xl2tpd-1.3.6.tar.gz
$ sudo tar zxvf xl2tpd-1.3.6.tar.gz
$ cd xl2tpd-1.3.6
$ sudo make
$ sudo make install

参考:Enabling L2TP over IPSec on Ubuntu 16.04

安装完成L2TP,即可新建***连接:

打开:系统设置-->网络-->点击“+”,如下图:

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

点击创建,选择***连接类型:L2TP

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

输入连接名称、网关(***服务器地址)、用户名,点击下方的“IPsec设置”,输入Pre-shared key(预共享密钥),确定,保存。

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

在“网络”里,选择刚新建的***连接,点击右上方的“打开”开关,输入***密码

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

确定,验证成功即可成功建立***连接

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

试试能不能正常访问,OK!

Ubuntu软件源更新及Workstation和VirtualBox虚拟机问题

0

精彩评论

暂无评论...
验证码 换一张
取 消